com.microfocus.awm.meta.interfaces

## Interface AWMObject

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    ActionDescriptor, ApplicationOptions, AWMIdentifiableObject, CActionDescriptors, CElementListStructures, CElementTypes, CFileDescriptors, CFilterTypes, CFunctionPackages, CGlobalActions, CIcons, CIDDefinitions, ComplexAttributeBase, CProperties, CToolCategory, CToolDescriptors, DynamicObject, ElementListStructure, ElementType, ErrorView, FileDescriptor, FilterType, FunctionPackage, FunctionPackageIcon, GenericSymbols, GlobalAction, Icon, IDDefinition, ISAEditorAction, ISAISPFPanel, ISAISPFTool, ISAPanelCommand, ISAPlugIn, ISAWorkbenchAction, LinkedElementType, LinkedProperty, PredefinedIcon, Property, RActionComplexCondition, RActionParmOverride, RActionSimpleCondition, RActionTool, RApplicationAction, RApplicationProperty, RDecorationValue, RElementAction, RElementActionBase, RElementFilter, RElementGetChildrenAction, RElementGetProperties, RElementlistAction, RElementlistColumn, RElementlistProperty, RElementProperty, RElementTextDecoration, REnabledCondition, REnabledConditionBase, RErrorViewAction, RFileAction, RFileAttribute, RFileElement, RFileProperty, RFilterAction, RFilterFiltercriterion, RIDProperty, RISPFToolPanel, RPanelField, RSelectionEnabledCondition, RSelectionVisibleCondition, RToolInParameter, RToolOutParameter, RToolParameter, RToolValidateAction, RVisibleCondition, SelectionPropertyMapping, SpecificAttribute, TAURUSConfiguration, ToolDescriptor
  All Known Implementing Classes:
    ActionDescriptorImpl, ApplicationOptionsImpl, AWMIdentifiableObjectImpl, AWMObjectImpl, CActionDescriptorsImpl, CElementListStructuresImpl, CElementTypesImpl, CFileDescriptorsImpl, CFilterTypesImpl, CFunctionPackagesImpl, CGlobalActionsImpl, CIconsImpl, CIDDefinitionsImpl, ComplexAttributeBaseImpl, CPropertiesImpl, CToolCategoryImpl, CToolDescriptorsImpl, DynamicObjectImpl, ElementListStructureImpl, ElementTypeImpl, ErrorViewImpl, FileDescriptorImpl, FilterTypeImpl, FunctionPackageIconImpl, FunctionPackageImpl, GenericSymbolsImpl, GlobalActionImpl, IconImpl, IDDefinitionImpl, ISAEditorActionImpl, ISAISPFPanelImpl, ISAISPFToolImpl, ISAPanelCommandImpl, ISAPlugInImpl, ISAWorkbenchActionImpl, LinkedElementTypeImpl, LinkedPropertyImpl, PredefinedIconImpl, PropertyImpl, RActionComplexConditionImpl, RActionParmOverrideImpl, RActionSimpleConditionImpl, RActionToolImpl, RApplicationActionImpl, RApplicationPropertyImpl, RDecorationValueImpl, RElementActionBaseImpl, RElementActionImpl, RElementFilterImpl, RElementGetChildrenActionImpl, RElementGetPropertiesImpl, RElementlistActionImpl, RElementlistColumnImpl, RElementlistPropertyImpl, RElementPropertyImpl, RElementTextDecorationImpl, REnabledConditionBaseImpl, REnabledConditionImpl, RErrorViewActionImpl, RFileActionImpl, RFileAttributeImpl, RFileElementImpl, RFilePropertyImpl, RFilterActionImpl, RFilterFiltercriterionImpl, RIDPropertyImpl, RISPFToolPanelImpl, RPanelFieldImpl, RSelectionEnabledConditionImpl, RSelectionVisibleConditionImpl, RToolInParameterImpl, RToolInParameterUnresolved, RToolOutParameterImpl, RToolParameterImpl, RToolValidateActionImpl, RVisibleConditionImpl, SelectionPropertyMappingImpl, SpecificAttributeImpl, TAURUSConfigurationImpl, ToolDescriptorImpl

      public interface AWMObject
      extends org.eclipse.emf.ecore.EObject

  Super class for all AWM object types.

  The following features are supported:

  - `Comment`
  See Also:
    `TaurusPackage.getAWMObject()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()` Returns the value of the 'Comment' attribute.
    `boolean` | `isSetComment()` Returns whether the value of the '`Comment`' attribute is set.
    `void` | `setComment(java.lang.String value)` Sets the value of the '`Comment`' attribute.
    `void` | `unsetComment()` Unsets the value of the '`Comment`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getComment

          java.lang.String getComment()

      Returns the value of the 'Comment' attribute.
      A comment to describe a modeled object in the AWM model editor.
      Returns:
        the value of the 'Comment' attribute.
      See Also:
        `isSetComment()`, `unsetComment()`, `setComment(String)`, `TaurusPackage.getAWMObject_Comment()`

    - #### setComment

          void setComment(java.lang.String value)

      Sets the value of the '`Comment`' attribute.
      Parameters:
        `value` - the new value of the 'Comment' attribute.
      See Also:
        `isSetComment()`, `unsetComment()`, `getComment()`

    - #### unsetComment

          void unsetComment()

      Unsets the value of the '`Comment`' attribute.
      See Also:
        `isSetComment()`, `getComment()`, `setComment(String)`

    - #### isSetComment

          boolean isSetComment()

      Returns whether the value of the '`Comment`' attribute is set.
      Returns:
        whether the value of the 'Comment' attribute is set.
      See Also:
        `unsetComment()`, `getComment()`, `setComment(String)`

Copyright © 2015 Micro Focus GmbH. All rights reserved.